{
    "name": "laravel/laravel",
    "description": "The Laravel Framework.",
    "keywords": ["framework", "laravel"],
    "license": "MIT",
    "type": "project",
    "require": {
        "php": "^8.2",
        "barryvdh/laravel-snappy": "^1.0",
        "carlos-meneses/laravel-mpdf": "^2.1",
        "filament/filament": "^3.2",
        "laravel/framework": "^11.0",
        "laravel/tinker": "^2.9",
        "laravel/ui": "^4.2"
    },
    "require-dev": {
        "barryvdh/laravel-debugbar": "^3.8",
        "filp/whoops": "^2.14",
        "mockery/mockery": "^1.6",
        "nunomaduro/collision": "^8.1",
        "phpunit/phpunit": "^11.0"
    },
    "autoload": {
        "classmap": [
            "database"
        ],
        "psr-4": {
            "App\\": "app/"
        },
        "files": [
            "app/Helpers/BidderSelectList.php",
            "app/Helpers/CheckoutBidderSelectList.php",
            "app/Helpers/ItemSelectList.php",
            "app/Helpers/PaymentMethodSelectList.php",
            "app/Helpers/WinningBidderSelectList.php",
            "app/Helpers/WinningBidSelectList.php"
        ]
    },
    "autoload-dev": {
        "psr-4": {
            "Tests\\": "tests/"
        }
    },
    "scripts": {
        "post-root-package-install": [
            "php -r \"file_exists('.env') || copy('.env.example', '.env');\""
        ],
        "post-create-project-cmd": [
            "php artisan key:generate"
        ],
        "post-install-cmd": [
            "Illuminate\\Foundation\\ComposerScripts::postInstall"
        ],
        "post-update-cmd": [
            "Illuminate\\Foundation\\ComposerScripts::postUpdate",
            "@php artisan filament:upgrade"
        ],
        "post-autoload-dump": [
            "Illuminate\\Foundation\\ComposerScripts::postAutoloadDump",
            "@php artisan package:discover",
            "@php artisan filament:upgrade"
        ]
    },
    "config": {
        "preferred-install": "dist",
        "sort-packages": true,
        "optimize-autoloader": true
    }
}
